body.dark .video-dark-mode {
  background: #1e1e1e;
  color: #ffffff;
}

body.dark .desc span {
  color: #9E9E9E !important;
}

body.dark .video_link {
  color: #f1f1f1 !important;
}

body.dark .w3-modal {
  background-color: rgba(0, 0, 0, 0.8);
}

body.dark .w3-modal-content {
  background: #1e1e1e;
  color: #ffffff;
}

body.dark .w3-modal-content header,
body.dark .w3-modal-content footer {
    background-color: #1f2937 !important;
    color: #ffffff !important;
    border-color: #374151;
}

body.dark .w3-modal-content header .w3-button:hover {
    background-color: #374151 !important;
    color: #ffffff !important;
}

body.dark .w3-container p {
  color: #e0e0e0;
}

body.dark .video-dark-mode:hover {
  box-shadow: 0 0 20px rgba(255,255,255,0.1);
  transform: scale(1.01);
  transition: 0.3s;
}

 body.dark .video-placeholder {
    background: linear-gradient(135deg, #1f1f1f, #2d2d2d);
    color: #ffffff;
    border: 1px solid #444;
  }

  body.dark table {
  background: #1e1e1e;
  color: #e4e4e4;
  border: 1px solid #333;
}

body.dark th {
  background: #2c2c2c;
  color: #ffffff;
}

body.dark td {
  background: #1e1e1e;
  color: #e4e4e4;
  border-bottom: 1px solid #333;
}

body.dark input,
body.dark select,
body.dark textarea {
  background: #2a2a2a;
  color: #ffffff;
  border: 1px solid #555;
}

body.dark select {
  appearance: none;
}

body.dark input::placeholder {
  color: #aaa;
}

body.dark .w3-table-all {
  background: #1e1e1e !important;
  color: #e4e4e4 !important;
}

body.dark tr:nth-child(even) {
  background: #222;
}

body.dark .w3-table-all tr:hover td {
  background: #333 !important;
  color: #ffffff !important;
}

body.dark .page-search-btn {
        background:#2a2a2a !important;
        color: #ccc !important;
        border:1px solid #ffffff33 !important;
    }

body.dark .page-search-btn:hover {
        background:black !important;
        color:white !important;
    }

body.dark .button-wrap a {
    background-color: #2d3748 !important;
    color: #fff !important;
    border-color: #4a5568 !important;
}

body.dark .button-wrap a:hover {
    background-color: #4a5568 !important;
}